Last Comment Bug 752505 - Copy Image broken on Nightly
: Copy Image broken on Nightly
Status: RESOLVED FIXED
: regression
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.12
Assigned To: neil@parkwaycc.co.uk
:
:
Mentors:
Depends on:
Blocks: 749527
  Show dependency treegraph
 
Reported: 2012-05-07 08:02 PDT by Phoenix
Modified: 2012-07-06 06:04 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
Proposed patch (1.85 KB, patch)
2012-05-08 09:33 PDT, neil@parkwaycc.co.uk
philip.chee: review+
philip.chee: approval‑comm‑aurora+
philip.chee: approval‑comm‑beta+
Details | Diff | Splinter Review
Screenshot of Clipboard Viewer (27.62 KB, image/png)
2012-05-08 10:39 PDT, Philip Chee
no flags Details

Description Phoenix 2012-05-07 08:02:30 PDT
Right click - Copy Image is partially broken on nightly, now instead of copying image address it copies image by itself. Firefox doesn't have problem, because have separate menu options Copy Image and Copy Image Location.
Last "good" nightly: 2012-05-02-00-30-23-comm-central-trunk
First "bad" nightly: 2012-05-03-00-30-35-comm-central-trunk
Regression from Bug 749527?
Comment 1 Brian R. Bondy [:bbondy] 2012-05-08 06:09:38 PDT
So probably the easiest way for you to get what you want is to either:
1) Add a second menu item like Firefox has
2) If you really do want all formats on the clipboard then add a new command for:
PRInt32 copyFlags = nsIContentViewerEdit::COPY_IMAGE_ALL;

Here is similar code to what you would need to do that (Except you'd use it for COPY_IMAGE_ALL):
https://bug749527.bugzilla.mozilla.org/attachment.cgi?id=619045
Comment 2 neil@parkwaycc.co.uk 2012-05-08 09:33:02 PDT
Created attachment 622008 [details] [diff] [review]
Proposed patch
Comment 3 Philip Chee 2012-05-08 10:37:31 PDT
Comment on attachment 622008 [details] [diff] [review]
Proposed patch

This patch works for me. In WordPerfect Edit->Paste Special I get a choice of
Unformatted Text
Unicode
Device Independent Bitmap
Comment 4 Philip Chee 2012-05-08 10:39:28 PDT
Created attachment 622040 [details]
Screenshot of Clipboard Viewer

Screenshot showing all the formats available when copying an image.
Comment 5 neil@parkwaycc.co.uk 2012-05-08 15:41:01 PDT
This code snippet works in windows with a <browser> element:

function CopyImage()
{
  var contentViewerEdit = getBrowser().contentViewerEdit;
  contentViewerEdit.copyImage(contentViewerEdit.COPY_IMAGE_ALL);
}

Unfortunately I don't know if we can rely on that.
Comment 6 Philip Chee 2012-05-08 21:55:22 PDT
> Unfortunately I don't know if we can rely on that.
Yeah lets go with your current patch. Please push stat!
Comment 7 neil@parkwaycc.co.uk 2012-05-09 03:58:26 PDT
Pushed changeset e2a736a2a7b0 to comm-central.
Comment 8 neil@parkwaycc.co.uk 2012-05-09 04:03:19 PDT
Comment on attachment 622008 [details] [diff] [review]
Proposed patch

[Approval Request Comment]
Regression caused by (bug #): 749527
User impact if declined: Unable to copy image location
Testing completed (on m-c, etc.): 
Risk to taking this patch (and alternatives if risky): 
String changes made by this patch: None

Note You need to log in before you can comment on or make changes to this bug.